Subject: bug#20356: closed (Re: bug#20356: 25.0.50; Strange terminal glyphs in emacs -nw in recent master)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 May 2015 01:22:04 +0000

Your bug report

#20356: 25.0.50; Strange terminal glyphs in emacs -nw in recent master

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20356: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20356
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20356: 25.0.50; Strange terminal glyphs in emacs -nw in recent master
From: Stefan Monnier <[email-masked]>
To: Jorgen Schäfer <[email-masked]>
Cc: [email-masked]
Date: Sun, 03 May 2015 21:21:53 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> Using (require 'xterm "term/xterm") instead of (require 'term/xterm),
> this compiles and I do not see the glyphs anymore.

Indeed, there was a little problem there, which I think I've now fixed.

> So yes, this fixes the problem.

Great, installed, thank you,

        Stefan

Subject: 25.0.50; Strange terminal glyphs in emacs -nw in recent master
From: Jorgen Schaefer <[email-masked]>
To: [email-masked]
Date: Fri, 17 Apr 2015 11:33:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!
Since a few days (I recompiled Emacs the first time on Wed 15th or Thu
16th, not sure when this was introduced before that) I see terminal
glyph garbage on certain deletion operations in emacs -nw.

A reliable way to trigger this for me is M-DEL, though many deletion
operations cause spurious data to be displayed. C-l will remove said
glyphs, and neither scrolling, normal editing nor indeed
single-character deletion will trigger this bug.

This is in a Gnome Terminal with TERM=xterm, sshing to a server, and
Emacs started in a screen with TERM=screen.

The Emacs built from ref 0465c9dd (last Apr 7th commit) does not exhibit
this behavior.

I know from at least one other person that recent builds with emacs -nw
work fine for them, so this is likely going to be tricky to debug. I'm
happy to do any testing needed.

Thanks!
Jorgen

Configured using:
 `configure --without-x'

Configured features:
SOUND DBUS NOTIFY ACL GNUTLS LIBXML2 ZLIB

Important settings:
  value of $LC_ALL: 
  value of $LC_COLLATE: de_DE.UTF-8
  value of $LC_CTYPE: de_DE.UTF-8
  value of $LC_MESSAGES: POSIX
  value of $LC_MONETARY: POSIX
  value of $LC_NUMERIC: POSIX
  value of $LC_TIME: POSIX
  value of $LANG: POSIX
  locale-coding-system: utf-8-unix